#!/usr/bin/env python2

import csv
import sys

def main():
    if len(sys.argv) < 2:
        print "usage:", sys.argv[0], "input_file"
        sys.exit()

    input = sys.argv[1]
    print "Fixing:", input
    with open(input, 'r') as fp:
        data = csv.reader(fp, delimiter='\t')

        data_fixed = []
        for row in data:
            row_fixed = []
            c = 0
            for col in row:
                if col:
                    col_fix = col.strip()
                    if c == 2:
                      col_fix = str(int(float(col_fix)))
                    c += 1
                    row_fixed.append(col_fix)
            data_fixed.append(row_fixed)

    file = input.split('.')
    output = file[0] + "_fixed." + file[1]
    with open(output, 'w') as fp:
        for row in data_fixed:
            line = "\t\t".join(row) + "\n"
            fp.write(line)
    print "done!"

if __name__ == "__main__":
    sys.exit (main())